// Slow Motion Handler.
// Worthless Bums 2012.


function setTimeScale (%timescale)
{//echo("setTimeScale()");
	$timescale = %timescale;
}
function triggerSlowdownHitEffect ()
{//echo("triggerSlowdownHitEffect()");
	if ($UseSlowdownEffects)
	{
		setTimeScale(0.4);
		schedule(100, 0, "setTimeScale", 1.0);
	}
}
function triggerSlowdownKnockBackEffect ()
{//echo("triggerSlowdownKnockBackEffect()");
	if ($UseSlowdownEffects)
	{
		setTimeScale(0.3);
		schedule(50, 0, "setTimeScale", 1.0);
	}
}
function triggerSlowdownDeathEffect ()
{//echo("triggerSlowdownDeathEffect()");
	if ($UseSlowdownEffects)
	{
		setTimeScale(0.4);
		schedule(100, 0, "setTimeScale", 1.0);
	}
}